// routes
import { PATH_AUTH, PATH_DOCS, PATH_PAGE } from "../../routes/paths";
// components
// components
import Iconify from "../../components/Iconify";

// ----------------------------------------------------------------------

const ICON_SIZE = {
  width: 22,
  height: 22,
};

const menuConfig = [
  {
    title: "Home",
    icon: <Iconify icon={"eva:home-fill"} {...ICON_SIZE} />,
    path: PATH_PAGE.home,
  },
  {
    title: "About You",
    icon: <Iconify icon={"gg:profile"} {...ICON_SIZE} />,
    path: "#",
  },
  {
    title: "Community",
    icon: (
      <Iconify icon={"fluent:people-community-add-28-filled"} {...ICON_SIZE} />
    ),
    path: "#",
  },

  {
    title: "Pages",
    path: "/pages",
    icon: <Iconify icon={"eva:file-fill"} {...ICON_SIZE} />,
    children: [
      {
        subheader: "Home",
        items: [
          { title: "Home", path: PATH_PAGE.home },
          { title: "Chat Box", path: PATH_PAGE.chat_box },
          // { title: "About us", path: PATH_PAGE.about },
          // { title: "Contact us", path: PATH_PAGE.contact },
          // { title: "FAQs", path: PATH_PAGE.faqs },
          // { title: "Pricing", path: PATH_PAGE.pricing },
          // { title: "Payment", path: PATH_PAGE.payment },
          // { title: "Maintenance", path: PATH_PAGE.maintenance },
          // { title: "Coming Soon", path: PATH_PAGE.comingSoon },
        ],
      },
      {
        subheader: "Authentication",
        items: [
          { title: "Login", path: PATH_AUTH.loginUnprotected },
          { title: "Register", path: PATH_AUTH.registerUnprotected },
          // { title: "Reset password", path: PATH_AUTH.resetPassword },
          // { title: "Verify code", path: PATH_AUTH.verify },
        ],
      },
      {
        subheader: "Others",
        items: [
          { title: "Mammography 1", path: PATH_PAGE.mammography1 },
          { title: "Mammography 2", path: PATH_PAGE.mammography2 },
          { title: "Mammography 3", path: PATH_PAGE.mammography3 },
          {
            title: "Risk Level Prediction",
            path: PATH_PAGE.risk_level_prediction,
          },
          {
            title: "Calculate Risk Form",
            path: PATH_PAGE.calculate_risk_form,
          },
          {
            title: "Survival Prediction",
            path: PATH_PAGE.survival_prediction,
          },
          {
            title: "Predict Survival Form",
            path: PATH_PAGE.predict_survival_form,
          },
        ],
      },
      // {
      //   subheader: "Dashboard",
      //   items: [{ title: "Dashboard", path: "" }],
      // },
    ],
  },
  // {
  //   title: "Documentation",
  //   icon: <Iconify icon={"eva:book-open-fill"} {...ICON_SIZE} />,
  //   path: PATH_DOCS,
  // },
];

export default menuConfig;
